import Flutter
import UIKit

let navBar = UINavigationController.init()

public class SwiftFlutterTestSelfiecapturePlugin: NSObject, FlutterPlugin {
    public static func register(with registrar: FlutterPluginRegistrar) {
        let channel = FlutterMethodChannel(name: "flutter_test_selfiecapture", binaryMessenger: registrar.messenger())
        let instance = SwiftFlutterTestSelfiecapturePlugin()
        registrar.addMethodCallDelegate(instance, channel: channel)
    }
    
    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        if (call.method == "getPlatformVersion") {
            result("iOS " + UIDevice.current.systemVersion)
            result(detectLiveness())
        }
        else if call.method == "detectLiveliness" {
            result(detectLiveness())
        }
    }
    public func detectLiveness() -> String{
        
        print(Bundle.allBundles)
        print(Bundle.main)
        let storyboardName = "MainLive"
        let storyboardBundle = Bundle.init(for: type(of: self))
        let storyboard = UIStoryboard(name: storyboardName, bundle: storyboardBundle)
        if let vc = storyboard.instantiateViewController(withIdentifier: "TestViewController") as? TestViewController {
                        UIApplication.shared.keyWindow!.rootViewController = navBar
                        navBar.pushViewController(vc, animated: true)
                        navBar.setNavigationBarHidden(true, animated: true)
            
//            UIApplication.shared.keyWindow?.rootViewController?.navigationController?.pushViewController(vc, animated: true)
                
            return "iOS_Helloooo"
        }
        return "iOS_Outer"
    }
}
